
namespace eval ::splash:: {
    set percent 0
}

# splash::add --
#    Adds message to the splash screen
#
# text  text to display
# args  optional icon argumnet

proc ::splash::init {} {
    variable text
    set text "Welcome to the Comanche \nOpen-source management console\n"
    append text "Visit us on the web at \nhttp://www.comanche.org\n"
    append text "\nComanche is sponsored by Covalent \nhttp://www.covalent.net"

    wm withdraw .
    ProgressDlg .pd -title Comanche -parent .  \
    -textvariable ::splash::text -variable ::splash::percent -width 40 -height 12
    centerScreen .pd
    update idletasks
}

proc ::splash::add { newtext args } {
    variable text
    variable percent
    incr percent 5
    #set text "Welcome to the Comanche open source management console\n"
    #append text "Visit us on the web at http://comanche.org\n"
    #append text "Comanche is sponsored by Covalent http://covalent.net\n\n"
    #append text $newtext
    update idletasks
}

proc ::splash::end {} {
    Dialog::enddialog .pd 0
    destroy .pd
    #grab release .pd
    #grab set .
    wm deiconify .
}
